USE ql;

SELECT FIRST_NAME AS Nome, LAST_NAME AS Cognome FROM employees;
SELECT DISTINCT DEPARTMENT_ID AS "ID Dipartimento" FROM employees;
SELECT SUBSTRING(first_name, 1, 3) AS Nome FROM employees;
SELECT FIRST_NAME AS Nome, LAST_NAME AS Cognome, SALARY AS Stipendio FROM employees WHERE SALARY NOT BETWEEN 10000 AND 15000;
SELECT EMPLOYEE_ID AS ID, FIRST_NAME AS Nome, LAST_NAME AS Cognome FROM employees WHERE DEPARTMENT_ID BETWEEN 30 AND 100 ORDER BY DEPARTMENT_ID ASC;
SELECT FIRST_NAME AS Nome, LAST_NAME AS Cognome, HIRE_DATE AS "Data di assunzione" FROM employees WHERE YEAR(HIRE_DATE) = 1987 ORDER BY HIRE_DATE;
SELECT LAST_NAME AS Cognome FROM employees WHERE LAST_NAME LIKE '______' ;
SELECT EMPLOYEE_ID AS ID, FIRST_NAME AS Nome, LAST_NAME AS Cognome FROM employees WHERE LAST_NAME = 'Jones' OR LAST_NAME = 'Blake' OR LAST_NAME = 'Scott' OR LAST_NAME = 'King' OR LAST_NAME = 'Ford';
SELECT * FROM employees ORDER BY FIRST_NAME DESC;
SELECT FIRST_NAME AS Nome, LAST_NAME AS Cognome, SALARY AS Stipendio, SALARY+(SALARY*COMMISSION_PCT) AS "Stipendio Lordo" FROM employees;
SELECT FIRST_NAME AS Nome, LAST_NAME AS Cognome, HIRE_DATE AS "Data di assunzione", DATE_ADD(HIRE_DATE, INTERVAL 90 DAY) AS "Data colloquio" FROM employees;
SELECT FIRST_NAME AS Nome FROM employees WHERE FIRST_NAME REGEXP '[0-9]'; 
SELECT ROUND(SALARY, 2) AS Stipendio FROM employees ORDER BY Stipendio DESC LIMIT 10;
